import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaHistoryType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaHistoryTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaHistoryType[]> {
    return this.rpcService.call('MetaHistoryTypeService.readAll');
  }
}
